<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');

$noConectar=true;
$esPantallaOP=true;
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');

$esperarCarga=true;
unset($_SESSION['orden']);

if($_GET['orden']) $orden=$_GET['orden']; else $orden=$_POST['orden'];
if($_GET['empresa']) $empresa=$_GET['empresa']; else $empresa=$_POST['empresa'];

if( $orden && $empresa ) {

	$peticion='SGAPreparar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEORDENPREP#'.$_SESSION['almacen'].';'.$empresa.';'.$orden;
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	if(!$resultado[0]['Error']) {
	
		$_SESSION['orden']=$resultado[0];
		
		$contadorItem=1;
		$listado=array();
            
		//Cargamos el listado desde el resultado Cajas del ws
		foreach(arreglaArrayPXMobileProxiumResult($_SESSION['orden']['Cajas']) as $caja) {
			foreach(arreglaArrayPXMobileProxiumResult($caja['Productos']) as $producto) {
				$producto['contadorItem']=$contadorItem;
				$producto['NumCaja']=$caja['NumeroCaja']; //Añadimos el campo para que sea igual que en mysql
				$listado[]=$producto;
					
				$contadorItem++;
			}
		}
		
		//print_r($listado);
		
		if($_POST['botonLiberar']) {
		
			$cadenaEnvio="";
			$arrayCajasProductos=array();
			
			foreach($listado as $producto) {
			
				if($_POST['liberar-contadorItem-'.$producto['contadorItem']]) {
					
					$arrayCajasProductos[]=array('NumCaja'=>$producto['NumCaja'],'Codigo'=>$producto['Codigo']);
					
					$cadenaEnvio.='*PXTmpDesbloqueoSGAOrden'.PHP_EOL;
					$cadenaEnvio.='Empresa='.$empresa.PHP_EOL;
					$cadenaEnvio.='Orden='.$orden.PHP_EOL;
					$cadenaEnvio.='Producto='.$producto['Codigo'].PHP_EOL;
					$cadenaEnvio.='Ubicacion='.$producto['Ubicacion'].PHP_EOL;
					$cadenaEnvio.='Contenedor='.$producto['Contenedor'].PHP_EOL;
					
					$datos=arreglaArrayPXMobileProxiumResult($producto['Datos']);
					
					foreach(array('Idioma','Precinta','Lote','FechaCaducidad','NumSerie') as $datoVariable) {
						if( is_null($producto[$datoVariable]) || $producto[$datoVariable]=='' ) $valor='-'; else $valor=$producto[$datoVariable];
						$cadenaEnvio.=$datoVariable.'='.$valor.PHP_EOL;
					}
					
					$cadenaEnvio.='NumEntrada='.$producto['NumEntrada'].PHP_EOL;
					$cadenaEnvio.='LinEntrada='.$producto['LinEntrada'].PHP_EOL;
					
					$cadenaEnvio.='Cantidad='.$producto['Cantidad'].PHP_EOL;
					
					$cadenaEnvio.='Cajasaliberar='.$producto['NumCaja'].PHP_EOL;
					
					$cadenaEnvio.='*FIN'.PHP_EOL;
				}
			
			}
			
			//echo nl2br($cadenaEnvio);
	
			$resultado=EnviarDatos($wsUsuario,$wsClave,base64_encode(utf8_decode($cadenaEnvio)));
						
			//echo "<p>RESULTADO OBTENIDO</p>";
			//print_r($resultado['EnviarDatosResult']);
			
			$resultadoEvaluar=explode("#",$resultado['EnviarDatosResult']);
			if($resultadoEvaluar[0]==1) {
				
				?>
				<script>
				alert("Productos liberados correctamente.").done( function(){
					$('#popupCargando').show();
					<?php if($_GET['procedencia']=='ordenPreparacion') { ?>
					window.location="<?php echo $rutaHtml; ?>/orden-preparacion-S.php?orden=<?php echo $orden; ?>&empresa=<?php echo $empresa; ?>";
					<?php } else { ?>
					window.location="<?php echo $rutaHtml.$archivoInicio; ?>";
					<?php } ?>
				});
				</script>
				<?php
			}
			else {
				?><script>alert("ERROR: <?php echo $resultadoEvaluar[1]; ?>");</script><?php
			}
		
		}
		
	}
	else {
		?><script>alert("Error al cargar la Orden de Preparación.")</script><?php
	}
}

?>
<h2>Liberar productos preparados en cajas</h2>

<p>Orden de Preparación:</p>
<form id="form1" name="form1" method="post" action="">
<p>
  <input type="text" name="orden" id="orden" class="campo" value="<?php echo $orden; ?>"/>
  <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarOrden"/></p>
<?php if(count($_SESSION['empresasGrupo'])>1) { ?>
    <p>Empresa:<br />
    <select name="empresa" id="empresa" class="campo">
    	<option value="" selected="selected">---</option>
        <?php
		foreach($_SESSION['empresasGrupo'] as $item) {
			?><option value="<?php echo $item['Codigo']; ?>" <?php if($item['Codigo']==$empresa) { ?>selected<?php } ?>><?php echo $item['Nombre']; ?></option><?php
		}
		?>
	</select>
    </p>
<?php } else { ?>
	<input type="hidden" name="empresa" id="empresa" value="<?php echo $_SESSION['empresa']; ?>"/>
<?php } ?>
<p><input type="submit" name="botonCarga" id="botonCarga" value="Cargar Orden" class="boton mostrarCargando"/></p>
</form>

<?php if(isset($_SESSION['orden'])) { ?>

    <table class="tablaFormateada anchoMaximo">
        <tr>
            <?php if(count($_SESSION['empresas'])>1) { ?><th>Empresa</th><?php } ?>
            <th>Familia</th>
            <th>Fecha Orden</th>
            <th>Régimen Origen</th>
            <th>Régimen Destino</th>
            <th>Cliente</th>
            <th>Fecha Carga</th>
            <th>Hora Carga</th>
          </tr>
        <tr>
            <?php if(count($_SESSION['empresas'])>1) { ?><td><?php echo $_SESSION['orden']['Empresa']; ?></td><?php } ?>
            <td><?php echo $_SESSION['orden']['FamiliaPreparacion']; ?></td>
            <td><?php echo fechaNacional($_SESSION['orden']['FechaGeneracion']); ?></td>
            <td><?php echo $_SESSION['orden']['RegimenOrigen']; ?></td>
            <td><?php echo $_SESSION['orden']['RegimenDestino']; ?></td>
            <td><?php echo $_SESSION['orden']['NombreCliente']; ?></td>
            <td><?php echo fechaNacional($_SESSION['orden']['FechaCarga']); ?></td>
            <td><?php echo $_SESSION['orden']['HoraCarga']; ?></td>
          </tr>
    </table>
    
    <?php
    
	if(count($listado)>0) {
    
	
		$comboCajas=array();

		foreach($listado as $item) {
		
			if(!in_array($item['NumCaja'],$comboCajas) && $item['NumCaja']!='') $comboCajas[]=$item['NumCaja'];
		}
		
		asort($comboCajas);
	
        ?>
        
        <h3>Productos a Liberar:</h3>
        
        <form id="formularioLiberar" name="formularioLiberar" method="post" action="">
            
            <input name="orden" type="hidden" value="<?php echo $orden; ?>" />
            <input name="empresa" type="hidden" value="<?php echo $empresa; ?>" />
            
            <table class="tablaFormateada" style="padding-bottom:70px">
                <tr>
                    <th>Caja Expedición</th>
                    <th>Código</th>
                    <th>Descripción</th>
                    <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                    <?php if($comportamiento['Activo']) { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
                    <?php } ?>
                    <th>Cant.</th>
                    <th>Liberar</th>
                </tr>
                <?php
                
               foreach($listado as $producto) {
                         
                    //print_r($producto);
                    
                    ?>
                    <tr class="lineaOrden" caja="<?php echo $producto['NumCaja']; ?>" codigo="<?php echo $producto['Codigo']; ?>" descripcion="<?php echo $producto['Descripcion']; ?>">
                        <td><?php echo $producto['NumCaja']; ?></td>
                        <td><?php echo $producto['Codigo']; ?></td>
                        <td align="left"><?php echo $producto['Descripcion']; ?></td>
                        <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                            <?php if($comportamiento['Activo']=='S') { ?>
                                <td><?php echo $producto[$comportamiento['NombreSQL']]; ?></td>
                            <?php } ?>
                        <?php } ?>
                        <td align="right"><?php echo number_format($producto['Cantidad'],0,',','.'); ?></td>
                        <td><input type="checkbox" name="liberar-contadorItem-<?php echo $producto['contadorItem']; ?>" id="liberar-contadorItem-<?php echo $producto['contadorItem']; ?>" class="checkGrande"/></td>
                    </tr>
                    <?php
                }
                ?>
            </table>
            
            
            
        
        
        <div class="barraFiltro">
    	
            <table cellpadding="5" style="margin:0 auto">
                <tr>
                	<td><input type="submit" name="botonLiberar" id="botonLiberar" value="Liberar productos" class="boton mostrarCargando"/></td>
                    <td>
                    Caja:<br />
                    <select name="filtroCaja" id="filtroCaja" class="campo selectorFiltro" style="width:250px">
                        <option value="">---</option>
                        <?php foreach($comboCajas as $item) { ?>
                        <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                        <?php } ?>
                    </select>
                    </td>
                    <td>
                    Producto:<br />
                    <input type="text" name="filtroProducto" id="filtroProducto" class="campo selectorFiltro mayusculas" style="font-size:1em;width:250px"/><img src="<?php echo DIR_IMAGENES; ?>/x-ajustado.png" alt="Borrar" style="margin-left:-30px;margin-bottom:-3px" class="clicable" id="borrarFiltroProducto"/>
                    </td>
                    <td>
                    <img id="filtroApagado" src="<?php echo DIR_IMAGENES; ?>/botones/filter-off.png" alt="Filtro" style="width:60px;height:60px;"/>
                    <img id="aplicarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer;"/>
                    <img id="quitarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter-remove.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer"/>
                    </td>
                </tr>
            </table>
            
        </div>
        
        </form>
        
    <?php
    }
    else {
		?><p>No hay productos para liberar.</p><?php
    }
	
} // Fin si existe orden
?>

<script>

function repintarTabla() {
	
		$(".lineaOrden").children('td').css('background-color','#ffffff');
		$(".lineaOrden").children('td').css('border-bottom','');
		$(".lineaOrden").children('td').css('border-radius','');
		$(".lineaOrden").children('td').css('-mozborder-radius','');
		$(".lineaOrden").children('td').css('-webkit-border-radius','');
	
		var par=true;
		$(".lineaOrden").each(function(){
			if( $(this).is(":visible") ) {
				if(par) $(this).children('td').css('background-color','#ffffff');
				else $(this).children('td').css('background-color','#eeeeee');
				par = !par;
				ultimaFila=$(this);
			}
        });
		
		ultimaFila.children('td').css('border-bottom','1px solid #999999');
		ultimaFila.children('td:first').css('border-radius','0 0 0 15px');
		ultimaFila.children('td:first').css('-mozborder-radius','0 0 0 15px');
		ultimaFila.children('td:first').css('-webkit-border-radius','0 0 0 15px');
		ultimaFila.children('td:last').css('border-radius','0 0 15px 0');
		ultimaFila.children('td:last').css('-mozborder-radius','0 0 15px 0');
		ultimaFila.children('td:last').css('-webkit-border-radius','0 0 15px 0');
		
		$('#popupCargando').hide();
	
	}
	
function aplicarFiltro(id) {
	
		$('#popupCargando').show();
	
		if( $('#filtroCaja').val()=='' && $('#filtroProducto').val()=='' ) {
			$('#filtroApagado').show();
			$('#quitarFiltro').hide();
			$('#aplicarFiltro').hide();
		}
		else  {
			$('#filtroApagado').hide();
			$('#quitarFiltro').show();
			$('#aplicarFiltro').hide();
		}
		
		$('.lineaOrden').each(function() {
		
			var coincidenciaCaja=false;
			var coincidenciaProducto=false;
			
			if( $('#filtroCaja').val()!='' && $(this).attr('caja')==$('#filtroCaja').val() ) coincidenciaCaja=true;
			else if( $('#filtroCaja').val()=='' ) coincidenciaCaja=true;
		
			if( $('#filtroProducto').val()!='' && ( $(this).attr('codigo').toUpperCase()==$('#filtroProducto').val().toUpperCase() || $(this).attr('descripcion').toUpperCase().indexOf($('#filtroProducto').val().toUpperCase())>-1  ) ) coincidenciaProducto=true;
			else if( $('#filtroProducto').val()=='' ) coincidenciaProducto=true;
			
			if( coincidenciaCaja && coincidenciaProducto ) $(this).show();
			else $(this).hide();
		});
		

		//Revertimos el check actual si viniera de la linea acutomatico porque confunde al filtrar
		if(id) {
			if( $('#'+id).is(":checked") ) $('#'+id).prop("checked",false);
			else $('#'+id).prop("checked",true);
		}

		repintarTabla();
	
	}

$(document).ready(function() {

	$('#popupCargando').hide();
	$("#orden").focus();
	
	$('#borrarOrden').on("click",function(){
		$("#orden").val('');
		$("#detalleOrden").empty();
		$("#orden").focus();
	});
	
	$('#borrarEmpresa').on("click",function(){
		$("#empresa").val('');
		$("#detalleOrden").empty();
		$("#empresa").focus();
	});
	
	$('#orden').on("click",function(){
		$('#teclado').show();
		$('#valor').val( $('#orden').val() );
		$('#valorOculto').val( $('#orden').val() );
		$('#enter').attr('campoValor','orden');
	});


		$('.selectorFiltro').on("change",function() {
			aplicarFiltro();
		});
		
		$('#filtroProducto').on("click",function(){
		
			$('#teclado').show();
			$('#valor').val( $('#filtroProducto').val() );
			$('#valorOculto').val( $('#filtroProducto').val() );
			$('#enter').attr('campoValor','filtroProducto');
			$('#enter').attr('formulario','');
			$('#enter').attr('forzarEnter','si');
			
		});
		
		$('#borrarFiltroProducto').on("click",function(){
			$('#filtroProducto').val('');
			aplicarFiltro();
		});
	
		$('#quitarFiltro').on("click",function() {
		
			$('#filtroCaja option:selected').removeProp('selected');
			$('#filtroProducto').val('');
			
			$('#filtroCaja option[value=""]').prop('selected',true);
			$('#filtroProducto').val('');
			
			$('#filtroApagado').show();
			$('#quitarFiltro').hide();
			$('#aplicarFiltro').hide();

			$(".lineaOrden").show();
			
			
			repintarTabla();
			
		});


});

</script>

<?php

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
